package com.bzd.system.service.ddgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店订单表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDdglOrderStoreService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDdglOrderStore(PageData pd)throws Exception {
        return daoSupport.update("SDdglOrderStoreMapper.addSDdglOrderStore", pd);
    }

    public List<PageData> findSDdglOrderStoreList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDdglOrderStoreMapper.selectSDdglOrderStoreList", pd);
    }

    public Integer SDdglOrderStoreRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDdglOrderStoreMapper.SDdglOrderStoreRemove", pd);
    }


    public Integer updateSDdglOrderStore(PageData pd)throws Exception {
        return daoSupport.update("SDdglOrderStoreMapper.updateSDdglOrderStore", pd);
    }

}
